Subject: Re: [IPP] Minutes posted from today's IPP concall

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Thu, 21 Oct 2021 19:57:55 +0000

Hi Mike,

The minutes say this:

⁃ Section 2.2:
	⁃ Import Job Owner from STD92

But I'm not finding a clear definition of "Job Owner" in RFC 8011 (the document actually uses "Job owner" with a lower case "o"). Do you have a definition you would like me to use in EPX? System Service has this definition:

Owner: The End User or Administrator who owns and manages (and typically created) a Job, Printer, Resource, Subscription, or System [PWG5108.06].

I could use that? Or make a Job Owner that would be something like this:

Job Owner: The End User who owns and manages (and typically created) a Job [PWG5108.06].

Smith

/**
    Smith Kennedy
    HP Inc.
*/

> On Sep 23, 2021, at 3:13 PM, Michael Sweet via ipp <[email-masked]> wrote:
> 
> All,
> 
> I have posted the minutes from today's IPP workgroup conference call to:
> 
> https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20210923.pdf <https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20210923.pdf>
> 
> Our next conference call is on October 7, 2021 at 3pm ET.
> 
> ________________________
> Michael Sweet
> 
> 
> 
> _______________________________________________
> ipp mailing list
> [email-masked]
> https://www.pwg.org/mailman/listinfo/ipp <https://www.pwg.org/mailman/listinfo/ipp>

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Thu, 21 Oct 2021 20:00:09 +0000

I found this definition in 5108.01:

Job Owner: Normally the User who submits a Job is the Job Owner, although under certain circumstances an administrator can reassign ownership. The Job owner has certain administrative privileges with respect to his Jobs.

> On Oct 21, 2021, at 1:57 PM, Kennedy, Smith (Wireless & IPP Standards) via ipp <[email-masked]> wrote:
> 
> Signed PGP part
> Hi Mike,
> 
> The minutes say this:
> 
> ⁃ Section 2.2:
>> On Sep 23, 2021, at 3:13 PM, Michael Sweet via ipp <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> All,
>> 
>> [email-masked] <mailto:[email-masked]>

---

From: Michael Sweet via ipp <[email-masked]>
Date: Thu, 21 Oct 2021 17:25:34 -0400

Smith,

> On Oct 21, 2021, at 3:57 PM, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]> wrote:
> 
> Hi Mike,
> 
> The minutes say this:
> 
> ⁃ Section 2.2:

Looking at the Send-Document description in RFC 8011, the definition should be:

	Job Owner: The End User who created the Job [STD92].

This would be consistent with section 4.3.1:

   Access Rights: The authenticated user (see Section 9.3) performing
   this operation must be either the Job owner (as determined in the
   Create-Job operation) or an Operator or Administrator of the Printer
   (see Sections 1 and 9.5).  Otherwise, the Printer MUST reject the
   operation and return 'client-error-forbidden',
   'client-error-not-authenticated', or 'client-error-not-authorized'
   as appropriate.

________________________
Michael Sweet

---

From: Michael Sweet via ipp <[email-masked]>
Date: Thu, 21 Oct 2021 21:44:46 -0400

Smith,

Since we have no method of changing a Job's owner in IPP (or in the Semantic Model, for that matter :) I think we want to avoid talking about the administrator changing anything.

STD92 ties the job owner to the user that sent the Print-Job/Print-URI/Create-Job request, so that's what we should reflect.

> On Oct 21, 2021, at 4:00 PM, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]> wrote:
> 
>>> https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20210923.pdf
>>> 

________________________
Michael Sweet

---

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Fri, 22 Oct 2021 15:52:46 +0000

Thanks - I'll use that!

> On Oct 21, 2021, at 3:25 PM, Michael Sweet <[email-masked]> wrote:
> 
> Smith,
>